from django.views.generic import TemplateView
from django.contrib.auth.mixins import LoginRequiredMixin

from ..mixins import StaffRequiredMixin, TitleMixin


class FrontendTemplateView(TitleMixin, TemplateView):
    pass

class NotImplementedView(LoginRequiredMixin, FrontendTemplateView):
    title = "Not fully implemented"
    template_name = "core/frontend/notimplemented.html"

class DashboardView(LoginRequiredMixin, FrontendTemplateView):
    title = "Dashboard"
    template_name = "core/frontend/dashboard.html"